# ActorType (dapr-sdk-parent 1.12.2 API)
declaration: package: io.dapr.actors, annotation type: ActorType

Package io.dapr.actors

# Annotation Interface ActorType

@Documented @Target({TYPE_USE,TYPE}) @Retention(RUNTIME) public @interface ActorType
Annotation to define Actor class.

## Required Element Summary

Required Elements
Modifier and Type
Required Element
Description
`String`
`name`
Overrides Actor's name.

## Element Details

### name

String name
Overrides Actor's name.

Returns:
  Actor's name.